/* You can add global styles to this file, and also import other style files */

// Owel-Carousel Style overriding for header banner
.header-banner {
    owl-carousel-o {
        .owl-theme {
            .owl-nav {
                position: absolute;
                top: 35%;
                width: 100%;
                margin-top: 0;
                [class*=owl-] {
                    font-size: 35px;
                    background: transparent;
                    color: #D6D6D6;
                    &:hover {
                        color: #231F20;
                    }
                }
                .owl-prev {
                    float: left;
                }
                .owl-next {
                    float: right;
                }
            }
            .owl-dots {
                position: absolute;
                bottom: 10px;
                right: 0;
                left: 0;
                .owl-dot {
                    &.active {
                        span {
                            background: #D6D6D6;
                            width: 12px;
                            height: 12px;
                        }
                    }
                    span {
                        background: transparent;
                        border: 1px solid #D6D6D6;
                        width: 12px;
                        height: 12px;
                    }
                }
            }
        }
    }
}

// Owel-Carousel Style overriding for campaigns component
.campaigns {
    .owl-theme {
        .owl-nav {
            .owl-prev {
                position: absolute;
                left: -40px;
                top: 42%;
                padding: 5px;
                border-radius: 0;
                font-size: 20px;
                &:hover {
                    background: #231F20;
                }
                i {
                    padding: 35px 0;
                }
            }
            .owl-next {
                position: absolute;
                right: -40px;
                top: 42%;
                padding: 5px;
                border-radius: 0;
                font-size: 20px;
                &:hover {
                    background: #231F20;
                }
                i {
                    padding: 35px 0;
                }
            }
        }
    }
}

// Share button style overriding
share-buttons {
    display: inline-block !important;
    .sb-wrapper {
        // You can get default button color using the CSS variable
        background-color: var(--button-color);
        // Inner wrapper
        .sb-inner {
            // Content wrapper
            .sb-content {
                // Icon wrapper
                .sb-icon {
                    display: none !important;
                }
                // Text wrapper
                .sb-text {
                    color: white;
                }
            }
            // Count wrapper
            .sb-count {}
        }
        // For conditional styles
        // E.g. Apply when icon, text and count are shown
        &.sb-show-icon.sb-show-text.sb-show-count {
            // Icon wrapper
            .sb-icon {
                display: none;
            }
            // Text wrapper
            .sb-text {}
        }
    }
}

// rtl style
div[dir=rtl] {
    .first-nav {
        .language-container {
            text-align: left !important;
        }
        .currency-container {
            text-align: right !important;
        }
    }
    header {
        nav {
            .pages-nav {
                margin-right: 0 !important;
            }
            .icons-nav {
                margin-left: 0 !important;
                margin-right: auto !important;
            }
        }
    }
    .campaigns {
        h2 {
            text-align: right !important;
        }
        ul {
            text-align: right !important;
            ;
        }
        .selected-cateogry {
            text-align: right !important;
        }
    }
    footer {
        .last-col {
            border-right: 1px solid #cecece;
            border-left: 0 !important;
        }
        .col-lg-8 {
            text-align: right !important;
            ul {
                padding-right: 0 !important;
            }
        }
    }
}

// responsive styling
@media (max-width: 991px) {
    .campaigns {
        .owl-theme {
            .owl-nav {
                .owl-next {
                    bottom: -63px;
                    right: 35%;
                    top: auto;
                    i {
                        padding: 0;
                    }
                }
                .owl-prev {
                    bottom: -63px;
                    left: 35%;
                    top: auto;
                    i {
                        padding: 0;
                    }
                }
            }
        }
    }
    .header-banner {
        .owl-carousel {
            .owl-item {
                img {
                    min-height: 200px;
                    object-fit: cover;
                }
            }
        }
    }
    div[dir=rtl] {
        footer {
            .last-col {
                border: 0;
                ul {
                    width: 100%;
                    text-align: right !important;
                    padding: 0;
                }
            }
        }
    }
}